#! /usr/bin/env ruby
#
# usage: loopWhile.rb 'system command' 'text to avoid'
#
# This script runs 'system command' as long as the output from stdout
# or stderr contains the text 'text to avoid'.
#

TEMPFILE = '/tmp/loopWhile.tmp'

verbose = false
if ARGV[0] == '-v'
    verbose = true
    ARGV.shift
end

regex = Regexp.new(ARGV[1])
count = 0
while true
    print '.' unless verbose
    if !system("#{ARGV[0]} >#{TEMPFILE} 2>&1")
	puts "command failed: #$!"
	exit 1
    end
    count += 1
    break if File.new(TEMPFILE, 'r').grep(regex).length == 0
end
File.delete(TEMPFILE)
puts unless verbose
puts "#{count} run#{count == 1 ? '' : 's'}" if verbose
