package jimm.datavision;

/**
 * Identifies objects that have dirty flags.
 *
 * @author Jim Menard, <a href="mailto:jimm@io.com">jimm@io.com</a>
 */
public interface Dirtiable {

/**
 * Returns <code>true</code> if the objet or anything inside it has been
 * modified.
 *
 * @return <code>true</code> if the object or anything inside it has been
 * modified
 */
public boolean isDirty();

/**
 * Sets or clears the dirty bit. If <i>dirty</i> is <code>false</code>,
 * clears the dirty bit for everything inside the object as well.
 *
 * @param dirty the new value
 */
public void setDirty(boolean dirty);

}
