package jimm.datavision.gui;
import jimm.datavision.Field;
import jimm.datavision.Parameter;
import jimm.datavision.ParameterField;
import jimm.datavision.gui.parameter.ParamEditWin;
import javax.swing.JDialog;
import javax.swing.JMenuItem;

/**
 *
 * A parameter widget must be able to edit its parameter's settings and
 * perform a few other parameter-specific actions.
 *
 * @author Jim Menard, <a href="mailto:jimm@io.com">jimm@io.com</a>
 */
class ParameterWidget extends EditWinWidget {

protected 

/**
 * Constructor.
 *
 * @param sw section widget in which the field's new widget will reside
 * @param field a report field
 */
ParameterWidget(SectionWidget sw, Field field) {
    super(sw, field);
}

protected JDialog createEditor() {
    return new ParamEditWin(sectionWidget.designWin,
			    ((ParameterField)getField()).getParameter());
}

protected String getWidgetName() {
    return ((ParameterField)getField()).getParameter().getName();
}

protected String getEditorTitle() {
    return "Edit Parameter Name";
}

protected String getEditorLabel() {
    return "Parameter Name";
}

protected void setWidgetName(String newName) {
    if (newName.length() == 0)
	newName = "Unnamed Parameter";
    ((ParameterField)getField()).getParameter().setName(newName);
}

}
