package jimm.datavision.gui;
import jimm.datavision.Report;
import jimm.datavision.LayoutEngine;
import jimm.datavision.ErrorHandler;
import jimm.datavision.layout.SwingLE;
import java.io.File;

/**
 * A report runner is created when the user wants to run a report from
 * within the GUI environment. It uses a <code>SwingLE</code> layout
 * engine.
 *
 * @see SwingLE
 * @author Jim Menard, <a href="mailto:jimm@io.com">jimm@io.com</a>
 */
class ReportRunner {

protected Report report;

/**
 * Constructor.
 *
 * @param report the report to run
 */
ReportRunner(Report report) {
    this.report = report;
}

/**
 * Creates a new report and Swing layout engine and runs the report; the
 * Swing layout engine opens a window.
 *
 * @param layoutEngine the layout engine to use
 */
public void run(LayoutEngine layoutEngine) {
    report.setLayoutEngine(layoutEngine);
    report.run();
}

}
