package jimm.datavision.gui;
import java.awt.Dimension;
import java.awt.BorderLayout;
import javax.swing.*;

/**
 * An extremely simple status display dialog.
 *
 * @author Jim Menard, <a href="mailto:jimm@io.com">jimm@io.com</a>
 */
public class StatusDialog extends JDialog {

protected JLabel label;

/**
 * Constructor.
 *
 * @param parent parent frame; may be <code>null</code>
 * @param title title string; may be <code>null</code>
 * @param initialString initial string to display; may be <code>null</code>
 */
public StatusDialog(JFrame parent, String title, String initialString) {
    super(parent, title, false);

    JPanel panel = new JPanel();
    panel.setLayout(new BorderLayout());
    panel.add(label = new JLabel(), BorderLayout.CENTER);
    label.setHorizontalAlignment(SwingConstants.CENTER);

    if (initialString != null)
	label.setText(initialString);

    panel.setPreferredSize(new Dimension(250, 100));
    getContentPane().add(panel);

    pack();
    setVisible(true);
}

public void update(String message) {
    label.setText(message);
}

}
