package jimm.datavision.gui.parameter;
import jimm.datavision.Parameter;
import java.awt.BorderLayout;
import java.awt.GridLayout;
import javax.swing.*;

/**
 * A range string inquisitor knows how to display and control the widgets
 * needed to ask a user for two string parameter values.
 *
 * @author Jim Menard, <a href="mailto:jimm@io.com">jimm@io.com</a>
 */
class RangeStringInq extends Inquisitor {

protected JTextField rangeFromField;
protected JTextField rangeToField;

RangeStringInq(Parameter param) {
    super(param);

    // Build GUI
    panel.setLayout(new BorderLayout());

    // Labels
    JPanel labelPanel = new JPanel();
    labelPanel.setLayout(new GridLayout(0, 1));
    JLabel label;
    labelPanel.add(label = new JLabel("From:"));
    label.setHorizontalAlignment(SwingConstants.RIGHT);
    labelPanel.add(label = new JLabel("To:"));
    label.setHorizontalAlignment(SwingConstants.RIGHT);

    // Edit values
    JPanel fieldPanel = new JPanel();
    fieldPanel.setLayout(new GridLayout(0, 1));

    // From and to
    fieldPanel.add(rangeFromField = new JTextField(TEXT_FIELD_COLS));
    fieldPanel.add(rangeToField = new JTextField(TEXT_FIELD_COLS));

    panel.add(labelPanel, BorderLayout.CENTER);
    panel.add(fieldPanel, BorderLayout.EAST);

    // Copy default values into "real" values
    parameter.setValue(0, parameter.getDefaultValue(0));
    parameter.setValue(1, parameter.getDefaultValue(1));
}

void copyGUIIntoParam() {
    // setValue translates the string to the appropriate numeric type
    // (integer or float).
    parameter.setValue(0, rangeFromField.getText());
    parameter.setValue(1, rangeToField.getText());
}

void copyParamIntoGUI() {
    rangeFromField.setText(parameter.getValue(0).toString());
    rangeToField.setText(parameter.getValue(1).toString());
}

}
